de.esprit.appsuite.database.dbase

## Class AbstractDBOCredential

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.Credential
      - - de.esprit.appsuite.database.dbase.AbstractDBOCredential

- All Implemented Interfaces:
    Clearable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    DBOTypeMapCredential

      public abstract class AbstractDBOCredential
      extends Credential

  This class extends the `Credential` object such that it contains the parameters to drive the `DBOCompiler`.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.Credential

      `connUrl, connUrlKey, credentialDocType, dbPassword, dbPasswordKey, dbSchema, dbSchemaKey, dbUser, dbUserKey, DEFAULT_DATABASE_PATH, DERBY_SYSTEM_HOME, jdbcDriver, jdbcDriverKey, loginTimeout, loginTimeoutKey, maxConns, maxConnsKey, minConns, minConnsKey, systemPropsType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractDBOCredential()`
    `protected` | `AbstractDBOCredential(java.lang.String jdbcDriver, java.lang.String connUrl, java.lang.String dbUser, java.lang.String dbPassword)`
    `protected` | `AbstractDBOCredential(java.lang.String jdbcDriver, java.lang.String connUrl, java.lang.String dbUser, java.lang.String dbPassword, java.lang.String schema)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()`
    `java.lang.String` | `getAuthor()`
    `java.io.File` | `getPackageDir()`
    `java.lang.String` | `getTargetDir()`
    `java.lang.String` | `getTargetPackage()`
    `boolean` | `isRebuildExistingDBOs()`
    `void` | `setAuthor(java.lang.String author)`
    `void` | `setRebuildExistingDBOs(boolean isRebuild)`
    `void` | `setTargetDir(java.lang.String targetDir)`
    `void` | `setTargetPackage(java.lang.String targetPkg)`
    `void` | `setTranslationAppKey(java.lang.String translationAppKey)`
    `void` | `setUseTypeConventions(boolean useTypeConv)`
    `void` | `setValues(Credential cred)` Copies the values from the given credential object to this object
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `boolean` | `useTypeConventions()`
    `void` | `validate()`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.Credential

      `clear, getConnectionUrl, getCredFile, getDatabaseName, getDefaultSystemProperties, getDefaultSystemProperty, getJdbcDriver, getLoginTimeout, getMaxConns, getMinConns, getPassword, getSchema, getUser, initDefaultSystemProperties, isValid, putDefaultSystemProperty, read, readCommandLineParams, setConnectionUrl, setCredFile, setJdbcDriver, setLoginTimeout, setMaxConns, setMinConns, setPassword, setSchema, setUser, toString, write`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDBOCredential

          protected AbstractDBOCredential()

    - #### AbstractDBOCredential

          protected AbstractDBOCredential(java.lang.String jdbcDriver,
                               java.lang.String connUrl,
                               java.lang.String dbUser,
                               java.lang.String dbPassword,
                               java.lang.String schema)

    - #### AbstractDBOCredential

          protected AbstractDBOCredential(java.lang.String jdbcDriver,
                               java.lang.String connUrl,
                               java.lang.String dbUser,
                               java.lang.String dbPassword)

  - ### Method Detail

    - #### validate

          public void validate()

      Overrides:
        `validate` in class `Credential`

    - #### setTargetDir

          public void setTargetDir(java.lang.String targetDir)

    - #### getTargetDir

          public java.lang.String getTargetDir()

    - #### getTargetPackage

          public java.lang.String getTargetPackage()

    - #### getPackageDir

          public java.io.File getPackageDir()

    - #### getAuthor

          public java.lang.String getAuthor()

    - #### getAppKey

          public java.lang.String getAppKey()

    - #### setTranslationAppKey

          public void setTranslationAppKey(java.lang.String translationAppKey)

    - #### isRebuildExistingDBOs

          public boolean isRebuildExistingDBOs()

    - #### setRebuildExistingDBOs

          public void setRebuildExistingDBOs(boolean isRebuild)

    - #### setTargetPackage

          public void setTargetPackage(java.lang.String targetPkg)

    - #### setAuthor

          public void setAuthor(java.lang.String author)

    - #### setUseTypeConventions

          public void setUseTypeConventions(boolean useTypeConv)

    - #### useTypeConventions

          public boolean useTypeConventions()

    - #### setValues

          public void setValues(Credential cred)

      Description copied from class: `Credential`
      Copies the values from the given credential object to this object
      Overrides:
        `setValues` in class `Credential`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `Credential`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.